Bug 483116 - Review Request: grnotify - Google Reader Notifier
Review Request: grnotify - Google Reader Notifier
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
10
noarch Linux
low Severity medium
: ---
: ---
Assigned To: Joseph Smidt
Fedora Extras Quality Assurance
http://grnotify.sourceforge.net/
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 13:49 EST by Guillaume Kulakowski
Modified: 2009-03-09 19:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.1.2-4.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-09 18:56:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
josephsmidt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
Review of package (3.55 KB, text/plain)
2009-02-17 01:02 EST, Joseph Smidt
no flags Details

  None (edit)
Description Guillaume Kulakowski 2009-01-29 13:49:46 EST
GrNotify is a simple Python written tray application that will allow you to
know when there are new items in the Google Reader. 


SPEC: http://llaumgui.fedorapeople.org/review/grnotify/grnotify.spec

SRPMS: http://llaumgui.fedorapeople.org/review/grnotify/grnotify-1.0.2-2.fc10.noarch.rpm

RPM: http://llaumgui.fedorapeople.org/review/grnotify/grnotify-1.0.2-2.fc10.src.rpm

Commment:
rpmlint is silent
Comment 1 Guillaume Kulakowski 2009-01-29 15:54:58 EST
Fredonnement… La version 1.1.1 a été libérée peu d'heures avant ma demande… Je fais aller rapidement la construction T/MN avant week-end :

SPEC: http://llaumgui.fedorapeople.org/review/grnotify/grnotify.spec

SRPMS:
http://llaumgui.fedorapeople.org/review/grnotify/grnotify-1.1.1-1.fc10.noarch.rpm

RPM:
http://llaumgui.fedorapeople.org/review/grnotify/grnotify-1.1.1-1.fc10.src.rpm

Commment:
builder@enterprise ~> rpmlint rpmbuild/RPMS/noarch/grnotify-1.1.1-1.fc10.noarch.rpm                                                                                21:45
grnotify.noarch: E: non-executable-script /usr/lib/python2.5/site-packages/grnotify/GoogleReader.py 0644
Comment 4 Joseph Smidt 2009-02-16 23:48:32 EST
I will take up reviewing this package.
Comment 5 Joseph Smidt 2009-02-17 01:01:07 EST
As packaging goes, it all seems good. :) (See attachment)  However, are you sure you need gnome-icon-theme as a Requires?  It is not mentioned on the webpage: http://grnotify.sourceforge.net/install.html or in the sources as a dependency.

When I run the package it seems to run just fine.  However, when I close out and open it back up it does not remember my username and password.  When I run in a terminal I get this output:

/usr/bin/grnotify:591: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.xml = gtk.glade.XML(self.gladefile)

Then, when I hit "Save" to save my username and password I get this output

Traceback (most recent call last):
  File "/usr/bin/grnotify", line 711, in on_save_button_clicked
    grnotify_app.saveConfig()
  File "/usr/bin/grnotify", line 75, in saveConfig
    if not self.useKeyRing or not self.saveKeyRing(self.passwd):
  File "/usr/bin/grnotify", line 130, in saveKeyRing
    except gnomekeyring.AlreadyExistsError:
UnboundLocalError: local variable 'gnomekeyring' referenced before assignment
Comment 6 Joseph Smidt 2009-02-17 01:02:06 EST
Created attachment 332179 [details]
Review of package

Here is the Review attachment.
Comment 7 Guillaume Kulakowski 2009-02-17 02:49:53 EST
Hi,

Thx Joseph. I contact the author for this bug, and I propose a setup.py for a better clean installation and packaging.
Comment 8 Guillaume Kulakowski 2009-02-17 13:58:52 EST
Hi,

gnome-icon-theme is an error of my part. I have proposed to the author a new setup.py for a easiers packaging :
https://sourceforge.net/tracker2/?func=detail&aid=2609868&group_id=217132&atid=1039328
Comment 9 Joseph Smidt 2009-02-18 11:38:05 EST
Has the author responded?  Do you have a new Spec/Srpm that I could review?
Comment 10 Guillaume Kulakowski 2009-02-18 14:23:14 EST
Hi,

no response.
But a new SPEC without path for install.py but a new setup.py that I proposed to the author


Version 1.1.2-3

SPEC: http://llaumgui.fedorapeople.org/review/grnotify/grnotify.spec

SRPMS:
http://llaumgui.fedorapeople.org/review/grnotify/grnotify-1.1.2-3.fc10.noarch.rpm

RPM:
http://llaumgui.fedorapeople.org/review/grnotify/grnotify-1.1.2-3.fc10.src.rpm

Commment:
rpmlint is silent
Comment 11 Joseph Smidt 2009-02-21 00:31:09 EST
Sorry, I got busy for a couple days.  It looks good.  Approved.
Comment 12 Guillaume Kulakowski 2009-02-22 05:43:45 EST
New Package CVS Request
=======================
Package Name: grnotify
Short Description: Google Reader Notifier
Owners: llaumgui
Branches: F-9 F-10
InitialCC:
Comment 13 Kevin Fenzi 2009-02-22 14:23:43 EST
Can you fix your usage of --vendor here?

From the guidelines: 

"For new packages, do not apply a vendor tag to desktop files"
Comment 14 Guillaume Kulakowski 2009-02-22 14:36:31 EST
OK
Comment 15 Guillaume Kulakowski 2009-02-22 14:50:45 EST
Correction made in http://llaumgui.fedorapeople.org/review/grnotify/grnotify.spec
Comment 16 Kevin Fenzi 2009-02-24 15:59:24 EST
Thanks. 

cvs done.
Comment 17 Fedora Update System 2009-02-24 19:18:57 EST
grnotify-1.1.2-4.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/grnotify-1.1.2-4.fc10
Comment 18 Fedora Update System 2009-02-24 19:19:02 EST
grnotify-1.1.2-4.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/grnotify-1.1.2-4.fc9
Comment 19 Fedora Update System 2009-02-25 11:24:44 EST
grnotify-1.1.2-4.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update grnotify'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-2075
Comment 20 Fedora Update System 2009-02-25 11:25:12 EST
grnotify-1.1.2-4.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update grnotify'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2009-2077
Comment 21 Fedora Update System 2009-03-09 18:56:30 EDT
grnotify-1.1.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2009-03-09 19:06:15 EDT
grnotify-1.1.2-4.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.